GeoAreaShape (Lucene 10.5.1 spatial3d API)
Description: declaration: package: org.apache.lucene.spatial3d.geom, interface: GeoAreaShape

Package org.apache.lucene.spatial3d.geom

# Interface GeoAreaShape

All Superinterfaces:
  `Bounded`, `GeoArea`, `GeoBounds`, `GeoMembershipShape`, `GeoOutsideDistance`, `GeoShape`, `Membership`, `PlanetObject`, `SerializableObject`

All Known Subinterfaces:
  `GeoBBox`, `GeoCircle`, `GeoDistanceShape`, `GeoPath`, `GeoPointShape`, `GeoPolygon`

All Known Implementing Classes:
  `GeoBaseDistanceShape`, `GeoCompositeAreaShape`, `GeoCompositePolygon`, `GeoDegenerateVerticalLine`

public interface GeoAreaShape extends GeoMembershipShape, GeoArea
Shape that implements GeoArea. This type of shapes are able to resolve the spatial relationship of other shapes with itself.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

  `CONTAINS, DISJOINT, OVERLAPS, WITHIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `intersects(GeoShape geoShape)`
  Assess whether a shape intersects with any of the edges of this shape.

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Bounded

  `getBounds`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

  `getRelationship`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoOutsideDistance

  `computeOutsideDistance, computeOutsideDistance`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoShape

  `getEdgePoints, intersects`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

  `isWithin, isWithin`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

  `getPlanetModel`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

  `write`

- ## Method Details

  - ### intersects

    boolean intersects(GeoShape geoShape)
    Assess whether a shape intersects with any of the edges of this shape. Note well that this method must return false if the shape contains or is disjoint with the given shape. It is permissible to return true if the shape is within the specified shape, if it is difficult to compute intersection with edges.
    Parameters:
      `geoShape` - is the shape to assess for intersection with this shape's edges.
    Returns:
      true if there's such an intersection, false if not.